function plotsol(y,t_1)
  N=length(y)/5;
  t=linspace(0,t_1,N);

  figure(1);
  
  subplot(2,4,3);
  plot(t,y(1:5:end)*180/pi);
  grid on;
  hold on;
  axis tight;
  xlabel('time [s]');
  ylabel('pendulum angle []');

  subplot(2,4,7);
  plot(t,y(2:5:end)*180/pi);
  grid on;
  hold on;
  axis tight;
  xlabel('time [s]');
  ylabel('pendulum vel. [/sec]');

  subplot(2,4,4);
  plot(t,y(3:5:end));
  grid on;
  hold on;
  axis tight;
  xlabel('time [s]');
  ylabel('cart pos. [m]');

  subplot(2,4,8);
  plot(t,y(4:5:end));
  grid on;
  hold on;
  axis tight;
  xlabel('time [s]');
  ylabel('cart vel. [m/s]');

  subplot(2,4,[1,2,5,6]);
  plot(t,y(5:5:end));
  grid on;
  hold on;
  axis tight;
  xlabel('time [s]');
  ylabel('cart acc. (input) [m/s^2]');
  
  set(gcf,'units','normalized','outerposition',[0 0.3 1 0.7])
end
